Subject: Re: bug#33567: Syntactic fontification of diff hunks

From: Dmitry Gutov <[email-masked]>
Date: Thu, 20 Dec 2018 02:11:20 +0200

On 19.12.2018 23:51, Juri Linkov wrote:

> A worse situation with Magit - I was asked to update Magit
> to use this feature, but I don't know where to start:
> Magit uses green/red colors both for background and foreground.

Are there cases where it uses only red/green foreground to show a hunk? 
I would honestly just skip those cases, if Magit insists on doing things 
in several different ways.

Not sure why you need to port the new feature yourself, though.